# Copyright (c) 2018-present by Michael Herwig <michael.herwig@hotmail.de>
# All rights reserved.

if(DEFINED CMAKE_XI_COMPILER)
    return()
endif()
set(CMAKE_XI_COMPILER TRUE)

xi_include(Xi/Compiler/Classify)
xi_include(Xi/Compiler/Standard)
xi_include(Xi/Compiler/${XI_COMPILER_ID})

xi_debug(
  "Compiler Flags"
    "XI_C_FLAGS=${XI_C_FLAGS}"
    "XI_CXX_FLAGS=${XI_CXX_FLAGS}"

    "CMAKE_C_FLAGS=${CMAKE_C_FLAGS}"
    "CMAKE_C_FLAGS_DEBUG=${CMAKE_C_FLAGS_DEBUG}"
    "CMAKE_C_FLAGS_RELWITHDEBINFO=${CMAKE_C_FLAGS_RELWITHDEBINFO}"
    "CMAKE_C_FLAGS_RELEASE=${CMAKE_C_FLAGS_RELEASE}"
    "CMAKE_C_FLAGS_MINSIZEREL=${CMAKE_C_FLAGS_MINSIZEREL}"

    "CMAKE_CXX_FLAGS=${CMAKE_CXX_FLAGS}"
    "CMAKE_CXX_FLAGS_DEBUG=${CMAKE_CXX_FLAGS_DEBUG}"
    "CMAKE_CXX_FLAGS_RELWITHDEBINFO=${CMAKE_CXX_FLAGS_RELWITHDEBINFO}"
    "CMAKE_CXX_FLAGS_RELEASE=${CMAKE_CXX_FLAGS_RELEASE}"
    "CMAKE_CXX_FLAGS_MINSIZEREL=${CMAKE_CXX_FLAGS_MINSIZEREL}"
)

